Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 596619 - [abrt] crash in gvfs-smb-1.4.3-7.fc12: strncpy: Process /usr/libexec/gvfsd-smb was killed by signal 11 (SIGSEGV)
[abrt] crash in gvfs-smb-1.4.3-7.fc12: strncpy: Process /usr/libexec/gvfsd-sm...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gvfs (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
abrt_hash:cccc1cf7300035fbb9b92c71713...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-27 03:02 EDT by Robert Townley
Modified: 2015-03-03 17:48 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 09:18:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Townley 2010-05-27 03:02:33 EDT
abrt 1.0.9 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: /usr/libexec/gvfsd-smb --spawner :1.7 /org/gtk/gvfs/exec_spaw/3
comment: Not sure what correlates but this probably happened when i changed permissions directly on the remote smb share on the remote system.
component: gvfs
crash_function: strncpy
executable: /usr/libexec/gvfsd-smb
global_uuid: cccc1cf7300035fbb9b92c717131de6deb70d958
kernel: 2.6.32.12-115.fc12.i686.PAE
package: gvfs-smb-1.4.3-7.fc12
rating: 4
reason: Process /usr/libexec/gvfsd-smb was killed by signal 11 (SIGSEGV)
release: Fedora release 12 (Constantine)
Comment 1 Robert Townley 2010-06-05 16:01:30 EDT
Package: gvfs-smb-1.4.3-7.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.Leave a smb client connection open for days in Nautilus.
2.Reboot the smb server on the remote end multiple times.
3.Copy the "smb://smbserver/sharename" text from the address bar of Nautilus in order to replace it  ---> Crash.
Comment 2 Robert Townley 2010-06-05 16:10:21 EDT
Package: gvfs-smb-1.4.3-7.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


Comment
-----
Not sure what correlates but this probably happened when i changed permissions directly on the remote smb share on the remote system.
Comment 3 Robert Townley 2010-06-05 16:16:59 EDT
This 2010-06-05 16:10:21 EDT instance actually occurred "TH May 27th", not June 5th.  

2010-06-05 16:01:30 EDT did occur today.  
As you can see libc crashes.  

i lose _all_ network connectivity.  '/sbin/ip link' says there is no carrier when nothing was physically touched.
Comment 4 Robert Townley 2010-06-05 17:19:08 EDT
Disappointed, there is no gvfs-smb-debuginfo in the repositories.

installed gvfs-debuginfo.

attempting to install gvfs-smb from rawhide.
Comment 5 Bug Zapper 2010-11-03 10:03:53 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-12-03 09:18:37 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.